### Method

# GdkX11 X11Displaybroadcast_startup_message

#### Declaration [src]

    void
    gdk_x11_display_broadcast_startup_message (
      GdkDisplay* display,
      const char* message_type,
      ...
    )

#### Description [src]

Sends a startup notification message of type `message_type` to `display`.

This is a convenience function for use by code that implements the freedesktop startup notification specification. Applications should not normally need to call it directly. See the Startup Notification Protocol specification for definitions of the message types and keys that can be used.

This method is not directly available to language bindings.

#### Parameters

`message_type`

  Type: `const char*`

  Startup notification message type (“new”, “change”, or “remove”)

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A list of key/value pairs (as strings), terminated by a `NULL` key. (A `NULL` value for a key will cause that key to be skipped in the output.)